Loading...
Searching...
No Matches
RMSMeasurement Class Reference

`#include <timeblockencoder.h>`

## Public Member Functions

| RMSMeasurement ()
void | Include (const std::complex< double > &val)
double | RMS () const

## Static Private Member Functions

static bool | isfinite (const std::complex< double > &val)

## Private Attributes

size_t | _count
double | _value

## Detailed Description

Definition at line 12 of file timeblockencoder.h.

## Constructor & Destructor Documentation

## RMSMeasurement()

RMSMeasurement::RMSMeasurement | ( |  | ) |

inline

Definition at line 14 of file timeblockencoder.h.

References _count, and _value.

## Member Function Documentation

## Include()

void RMSMeasurement::Include | ( | const std::complex< double > & | val | ) |

inline

Definition at line 16 of file timeblockencoder.h.

References _count, _value, and isfinite().

## isfinite()

bool RMSMeasurement::isfinite | ( | const std::complex< double > & | val | ) |

inline static private

Definition at line 26 of file timeblockencoder.h.

Referenced by Include().

## RMS()

double RMSMeasurement::RMS | ( |  | ) | const

inline

Definition at line 23 of file timeblockencoder.h.

References _count, and _value.

## Member Data Documentation

## _count

size_t RMSMeasurement::_count

private

Definition at line 30 of file timeblockencoder.h.

Referenced by Include(), RMS(), and RMSMeasurement().

## _value

double RMSMeasurement::_value

private

Definition at line 31 of file timeblockencoder.h.

Referenced by Include(), RMS(), and RMSMeasurement().

The documentation for this class was generated from the following file:

- tables/Dysco/timeblockencoder.h